
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1198

Arriving a the end of a .mkv or .webm file makes Audacious unable to play anything

October 28, 2022 13:40 - N Q

Status: Rejected Start date: October 28, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

.mkv and .webm files played until the end with the FFmpeg plugin make Audacious unable to play anything until restarted. Trying to

play the next song makes Audacious say "Buffering ..." in its title bar forever. This doesn't happen with .mp4 or .mp3 files. Tested on

Ubuntu 22.10.

History

#1 - October 28, 2022 13:45 - N Q

Furthermore, triggering this state makes the audacious process stay alive even after its window is closed, and sending SIGTERM doesn't kill it. Only

kill -9 has worked for me to kill the process.

#2 - October 28, 2022 15:27 - John Lindgren

This sounds like a duplicate of #1156.

#3 - November 04, 2022 09:22 - N Q

It probably is a duplicate (can't test right now). I just wanted to add that this bug happens with Audacious 4.1 on Ubuntu 22.10, but doesn't happen

with Audacious 4.1 on Ubuntu 22.04. This is most probably related to the fact that packages libavcodec58, libavformat58 and libavutil56 (FFmpeg

libraries) were updated from version 4.4 to 5.0 between Ubuntu 22.04 and 22.10.

#4 - November 07, 2022 16:49 - John Lindgren

Please install and test version 4.2, if you can. Bug #1156 is fixed in that version.

You can use Panda Jim's PPA (I use it personally on Ubuntu systems):

https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/apps

#5 - November 08, 2022 17:31 - N Q

I can confirm that the bug is fixed with Audacious 4.2 on Ubuntu 22.10.

#6 - November 08, 2022 19:22 - John Lindgren

- Status changed from New to Rejected

Thanks, closing.
